test_model(
    model(
        [
            w(0,[0]),
            w(1,[1])
        ],
        [
            edge(0,[a,b],0),
            edge(0,[b],1),
            edge(1,[b],0),
            edge(1,[a,b],1)
        ]
    )
).

test_action_alice(
    extended_action_model(
        [
            eap(np,not p(0),[1]),
            eap(p,p(0),[1]),
            eap(na,1,[0])
            
        ],
        [
            edge(np,[a,b],np),
            edge(np,[a],na),
            edge(p,[a,b],p),
            edge(p,[a],na),
            edge(na,[a],np),
            edge(na,[a],p),
            edge(na,[a,b],na)
        ]
    )
).

test_action_alice_NE(
    extended_action_model(
        [
            eap(np,not p(0),[]),
            eap(p,p(0),[]),
            eap(na,1,[])
            
        ],
        [
            edge(np,[a,b],np),
            edge(np,[a],na),
            edge(p,[a,b],p),
            edge(p,[a],na),
            edge(na,[a],np),
            edge(na,[a],p),
            edge(na,[a,b],na)
        ]
    )
).

test_action_bob(
    extended_action_model(
        [
            eap(a,p(1),[1]),
            eap(na,1,[0])
            
        ],
        [
            edge(a,[a,b],a),
            edge(a,[b],na),
            edge(na,[b],a),
            edge(na,[a,b],na)
        ]
    )
).

test_action_alice2(
    extended_action_model(
        [
            eap(a,p(2),[1]),
            eap(na,1,[0])
            
        ],
        [
            edge(a,[a,b],a),
            edge(a,[a],na),
            edge(na,[a],a),
            edge(na,[a,b],na)
        ]
    )
).

test_action_bob2(
    extended_action_model(
        [
            eap(a,p(3),[1]),
            eap(na,1,[0])
            
        ],
        [
            edge(a,[a,b],a),
            edge(a,[b],na),
            edge(na,[b],a),
            edge(na,[a,b],na)
        ]
    )
).

test_action_alice3(
    extended_action_model(
        [
            eap(a,p(4),[1]),
            eap(na,1,[0])
            
        ],
        [
            edge(a,[a,b],a),
            edge(a,[a],na),
            edge(na,[a],a),
            edge(na,[a,b],na)
        ]
    )
).

test_action_bob3(
    extended_action_model(
        [
            eap(a,p(5),[1]),
            eap(na,1,[0])
            
        ],
        [
            edge(a,[a,b],a),
            edge(a,[b],na),
            edge(na,[b],a),
            edge(na,[a,b],na) 
        ]
    )
).


test_amodel(
    model(
        [
            w(0,[1,0]), %not p
            w(1,[1,1]), % p 
            w(2,[1,'_'])%t
        ],
        [
            edge(0,[a],2),
            edge(2,[a],0),
            edge(1,[a],2),
            edge(2,[a],1),
            % Reflexive
            edge(0,[a,b],0),
            edge(1,[a,b],1),
            edge(2,[a,b],2)
        ]
    )
).
